import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {
	
	final double eps = 1e-9;

	@Override
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		double juryAns = ans.nextDouble();
		double partAns = ouf.nextDouble();
		
		if (Math.abs(juryAns - partAns) > eps * juryAns) {
			return new Outcome(Type.WA, "Wrong answer");
		}

		return new Outcome(Type.OK, "OK");
	}
}